# Update an automation Update an existing automation or configure new automation for a list. This operation overwrites any existing automation configuration for this list. So make sure you use GET /lists/{ListID}/automations to get a copy of the existing configuration to populate your PUT request body with any values you do not wish to change. Endpoint: PUT /v1/lists/{ListID}/automations Version: 5.0.0.0 Security: api_key_bearer ## Path parameters: - `ListID` (integer, required) Identifies the list that triggers this automation. Example: 123456 ## Request fields (application/json): - `isEnabled` (integer) Indicates if the automation is enabled or not. Enum: 0, 1 - `Triggers` (string) The event(s) that trigger this automation. * New Matches Occurs when a property is added to your list. Either because it was added manually by you, or because of a change to the property that resulted in it now matching your criteria and being added automatically. * Status Changes Occurs when a property that is already in your list has a change in status. These include new transfers, loans, listings and foreclosures, as well as changes in listing status, listing price, or foreclosure status. Enum: "New Matches", "Status Changes", "New Matches,Status Changes" - `DailyEmailMemberIDs` (string) These are the MemberIDs (separate with comma) to receive a daily email. Example: "38225,38226" - `ImmediateEmailMemberIDs` (string) These are the MemberIDs (separate with comma) to receive an immediate email. Example: "38225,38226" - `ExportToWebhookIDs` (string) These are the WebhookIDs (separate with comma) to receive an webhook call. See GET /integrations/webhooks (View all webhooks) to obtain WebhookIDs. Example: "38225,38226" - `DirectMailOrderID` (string) This is the DirectMailOrderID to add the properties to. Example: "38225,38226" - `EmailMarketingOrderID` (string) This is the EmailMarketingOrderID will be used for processing email marketing automations. Example: "38225,38226" - `MobileNotificationMemberIDs` (string) These are the MemberIDs (separate with comma) to receive push notifications on the PropertyRadar mobile app. Example: "38225,38226" - `SetInterestLevel` (integer) Set the InterestLevel to which properties will be set when they trigger this automation. Use a number between 1-5 or specify 0 to unset interest. Enum: 0, 1, 2, 3, 4, 5 - `SetStatusLevel` (integer) Set the StatusLevel to which properties will be set when they trigger this automation. Use a number between 1-9 or specify 0 to set status to None. - `AddToLists` (string) Set the ListIDs to which properties will be added when they trigger this automation. Must not be the same list as triggers the automation. Use GET /lists to see your ListIDs. Example: "353795,353796" - `RemoveFromLists` (string) Set the ListIDs to which properties will be removed when they trigger this alert. Must not be the same list as triggers the alert Example: "353795,353796" - `PurchasePhone` (integer) Set to 1 to purchase and append phones for properties that trigger this automation.You will be charged against your balance for each record triggered according to the terms of your subscription package. Charges are non-refundable. Enum: 0, 1 - `PurchaseEmail` (integer) Set to 1 to purchase and append emails for properties that trigger this automation. You will be charged against your balance for each record triggered according to the terms of your subscription package. Charges are non-refundable. Enum: 0, 1 ## Response 200 fields (application/json): - `updateCount` (integer) The number of items updated during the execution of the request. Example: 1 ## Response 400 fields (application/json): - `error` (string) A simple explanation of the problem. Not for display to end users. - `eventid` (string) A code in the form xxx-xxx-xxx that can be used for troubleshooting. Also present in headers as X-Radar-Request-Id Example: "abc-123-def" - `message` (string) If present, an explanation suitable for display to end users - `messageTitle` (string) If present, a title suitable for display to end users